cgCopyEffect(3)

NAME
cgCopyEffect - make a copy of an effect

SYNOPSIS
  #include <Cg/cg.h>

  CGeffect cgCopyEffect( CGeffect effect );

PARAMETERS

effect
    The effect object to be copied.

RETURN VALUES
Returns a copy of effect on success.

Returns NULL if effect is invalid or the copy fails.

DESCRIPTION
cgCopyEffect creates a new effect object that is a copy of effect and adds it to the same context as effect.

Note: Currently cgCopyEffect does not work and therefore will always returns NULL.

EXAMPLES
  CGeffect effectCopy = cgCopyEffect(effect);

ERRORS
CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

HISTORY
cgCopyEffect was introduced in Cg 2.0.

cgCopyEffect is not operational as of Cg 3.0.

SEE ALSO
cgCreateEffect, cgCreateEffectFromFile, cgDestroyEffect